/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.drawingPlane;

import java.util.List;

import javafx.scene.Node;

public interface IDrawingCme {

	public static double DEFAULT_EXTENT=45.0;

	public void update();
	public void show();
	public void hide();
	public boolean isVisible();
	public List<Node> getNodes();
	public double getRadialDistKm();
	public void setDisable(boolean disable);
}

